restinio::http_field_parsers::accept_charset_value_t Struct Reference

Tools for working with the value of Accept-Charset HTTP-field. More...

`#include <accept-charset.hpp>`

## Classes

struct | item_t

## Public Types

using | item_container_t = std::vector< item_t >

## Static Public Member Functions

static RESTINIO_NODISCARD auto | make_parser ()
| A factory function for a parser of Accept-Charset value. More...
static RESTINIO_NODISCARD expected_t< accept_charset_value_t, restinio::easy_parser::parse_error_t > | try_parse (string_view_t what)
| An attempt to parse Accept-Charset HTTP-field. More...

## Public Attributes

item_container_t | charsets

## Detailed Description

Tools for working with the value of Accept-Charset HTTP-field.

This struct represents parsed value of HTTP-field Accept-Charset (see https://tools.ietf.org/html/rfc7231#section-5.3.3):

    Accept-Charset = 1#( ( charset / "*" ) [ weight ] )
    charset = token

Note
  Values of `charset` are converted to lower case during the parsing.

Since
  v.0.6.2

Definition at line 40 of file accept-charset.hpp.

## Member Typedef Documentation

## item_container_t

using restinio::http_field_parsers::accept_charset_value_t::item_container_t = std::vector< item_t >

Definition at line 48 of file accept-charset.hpp.

## Member Function Documentation

## make_parser()

static RESTINIO_NODISCARD auto restinio::http_field_parsers::accept_charset_value_t::make_parser | ( |  | ) |

inlinestatic

A factory function for a parser of Accept-Charset value.

Since
  v.0.6.2

Definition at line 59 of file accept-charset.hpp.

## try_parse()

static RESTINIO_NODISCARD expected_t< accept_charset_value_t, restinio::easy_parser::parse_error_t > restinio::http_field_parsers::accept_charset_value_t::try_parse | ( | string_view_t | what | ) |

inlinestatic

An attempt to parse Accept-Charset HTTP-field.

Since
  v.0.6.2

Definition at line 78 of file accept-charset.hpp.

## Member Data Documentation

## charsets

item_container_t restinio::http_field_parsers::accept_charset_value_t::charsets

Definition at line 50 of file accept-charset.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/accept-charset.hpp